The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP-Nuke 7.8

Discussion in 'cPanel Developers' started by mahnouman, Jun 17, 2005.

  1. mahnouman

    mahnouman Registered

    Joined:
    Dec 14, 2003
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Hello,

    As I have seen on the PHP-Nuke website that the latest release is for money and not available for public downloads.

    Shall Cpanel update the phpnuke as an addon. Or We site administrators shall purchase the new version. and if purchased will the cpanel autoupdate overwite it.

    Regards
     
  2. richy

    richy Well-Known Member

    Joined:
    Jun 30, 2003
    Messages:
    276
    Likes Received:
    1
    Trophy Points:
    16
    cPanel (and Fantastico) tend to include the latest "public" version of programs such as phpNuke.
    Licencing conditions mean that they cannot distribute "private/member/paid for" versions of the scripts.
    Usually, in the case of phpNuke, the "public" version is a version behind the private version (so you just need to wait a bit - but if you want the "latest and greatest" version, you'll have to pay for it).
     
  3. LP-Trel

    LP-Trel Well-Known Member

    Joined:
    Oct 13, 2003
    Messages:
    184
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nirvana
    Not exactly true.

    PHP-Nuke is released under the GPL so it can be released as soon as it comes out. The Open Installer build has been updated and the internal cPanel build should be updated soon too. :D

    Thank you for asking about this as I hadn't caught the update yet.
     
  4. Guardian2004

    Guardian2004 Registered

    Joined:
    Jul 21, 2004
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Please, please, please do not update to phpNuke 7.7 or 7.8
    These two versions are the most insecure versions so far of phpNuke - they are all buggy and subject to a number of unaddressed vulnerablities such as sql injection, cross site scripting etc but these last two or far worse with the inclusion of the tinyMCE editor in versions 7.7 and 7.8 In some cases, these unaddressed security flaws can halt a server due to excessive (sql) server load.

    Even the phpNuke support community has failed to *fix* these issues as they are still addressing bug fixes for 7.5 !!!

    Please remember that (Mr Francis Burzi) the script author does not offer support of any kind for his script, so inevitably, problems arising from the installation of these two latest versions will no doubt end up in the hosting site support ticketing systems.
     
Loading...

Share This Page